Loading...
Searching...
No Matches
vkd3d_optional_device_extensions_info Struct Reference

A chained structure to specify optional device extensions. More...

`#include <vkd3d.h>`

## Data Fields

enum vkd3d_structure_type | type
| Must be set to VKD3D_STRUCTURE_TYPE_OPTIONAL_DEVICE_EXTENSIONS_INFO.
const void * | next
| Optional pointer to a structure containing further parameters.
const char *const * | extensions
| A list of optional Vulkan device extensions to request.
uint32_t | extension_count
| The number of elements in the extensions array.

## Detailed Description

A chained structure to specify optional device extensions.

This structure extends vkd3d_device_create_info.

Since
  1.2

## Field Documentation

## extensions

const char* const* vkd3d_optional_device_extensions_info::extensions

A list of optional Vulkan device extensions to request.

Device creation does not fail if they are not available.

The documentation for this struct was generated from the following file:

- include/vkd3d.h